Bug 214589 - gnome-games conflicts with gnome-sudoku
gnome-games conflicts with gnome-sudoku
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-games (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-08 10:19 EST by Paul Dickson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-08 14:41:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Dickson 2006-11-08 10:19:58 EST
Description of problem:
It seems that gnome-games has added gnome-sudoku, but there's no conflicts entry
in the spec file to remove the Fedora-Extras rpm.

Version-Release number of selected component (if applicable):
gnome-games-2.17.2-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Install gnome-sudoku from Fedora-Extras-Devel
2. Update gnome-games-2.17.2
3.
  
Actual results:
Transaction Check Error:   file /usr/bin/gnome-sudoku from install of
gnome-games-2.17.2-1.fc7 conflicts with file from package gnome-sudoku-0.5.0-1.fc6


Expected results:
No errors.

Additional info:
Comment 1 Peter Gordon 2006-11-08 12:50:53 EST
Instead of a simple Conflicts: tag, it should both Obsoletes: and Provides:
gnome-sudoku. That way it will be a transparent upgrade from gnome-sudoku in FE6
to that in gnome-games in FC7+. (Also, we should file a bug against gnome-sudoku
to mark that as dead in devel for this reason.)
Comment 2 Peter Gordon 2006-11-08 12:57:21 EST
(In reply to comment #1)
> Also, we should file a bug against gnome-sudoku
> to mark that as dead in devel for this reason.)

Submitted as bug #214626.

Comment 3 Matthias Clasen 2006-11-08 14:34:54 EST
Thanks, I've added the Obsoletes/Provides now
Comment 4 Valdis Kletnieks 2006-11-10 17:48:30 EST
Same issue, apparently, with gnuchess-5.07-10.fc6 - should that be included in
this bug, or should I open a new bug for that one?
Comment 5 Ray Strode [halfline] 2006-11-10 17:52:01 EST
this bugs closed, if you could file another one that'd be great (so it doesn't
fall off the radar)
Comment 6 Valdis Kletnieks 2006-11-10 18:42:53 EST
Submitted as bug #215110

Note You need to log in before you can comment on or make changes to this bug.